%global momorel 2

Summary: development and testing programs and utilities
Name: mono-tools
Version: 2.4
Release: %{momorel}m%{?dist}
Group: Development/Tools
License: GPL LGPL
URL: http://www.mono-project.com/
Source0: http://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}.gsharp-desktop-icon.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: mono-devel >= 2.4
BuildPrereq: pkgconfig
BuildPrereq: gecko-sharp-2.0 >= 0.12
BuildPrereq: gtk-sharp2-devel >= 2.12.0
BuildPrereq: gnome-sharp-devel >= 2.24.0
Requires: mono-core gtk-sharp2

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q

%patch0 -p1 -b .gsharp-desktop-icon

%build
autoreconf
%configure --program-prefix="" --enable-release
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.mdb" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.LIB NEWS README
%{_bindir}/*
%{_libdir}/%{name}/*
%{_prefix}/lib/gsharp/gsharp.exe
%{_prefix}/lib/mperfmon
%{_prefix}/lib/mono/1.0/*
#%{_prefix}/lib/mono/2.0/*
%{_prefix}/lib/monodoc/*.dll
%{_prefix}/lib/monodoc/browser.exe
%dir %{_libdir}/ilcontrast
%{_libdir}/ilcontrast/ilcontrast.exe
%dir %{_prefix}/lib/create-native-map
%{_prefix}/lib/create-native-map/MapAttribute.cs
%{_prefix}/lib/create-native-map/create-native-map.exe
%{_prefix}/lib/gendarme
%{_prefix}/lib/gui-compare
%{_prefix}/lib/pkgconfig/create-native-map.pc
%{_prefix}/lib/pkgconfig/gendarme-framework.pc

%{_datadir}/applications/monodoc.desktop
%{_datadir}/applications/ilcontrast.desktop
%{_datadir}/applications/gendarme-wizard.desktop
%{_datadir}/applications/gsharp.desktop
%exclude %{_datadir}/applications/mprof-heap-viewer.desktop
%{_datadir}/pixmaps/monodoc.png
%{_datadir}/pixmaps/ilcontrast.png
%{_datadir}/pixmaps/gendarme.svg
%{_datadir}/locale/*/*/*
%{_mandir}/man1/create-native-map.1.*
%{_mandir}/man1/gendarme.1.*
%{_mandir}/man1/mprof-decoder.1.*
%{_mandir}/man1/mprof-heap-viewer.1.*
%{_mandir}/man1/mperfmon.1.*

%{_prefix}/lib/monodoc/sources/*

%changelog
* Sat May 16 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4-2m)
- add Icon to gsharp.desktop

* Sun Mar 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4-1m)
- update to 2.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2-2m)
- rebuild against rpm-4.6

* Mon Jan 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Fri Nov  7 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0-6m)
- remove Patch0: mono-tools-2.0-lib64.patch
- revise spec

* Thu Nov  6 2008 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-5m)
- fix lib64 patch

* Thu Nov  6 2008 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-4m)
- add --enable-release to configure
- not install mprof-heap-viewer.desktop

* Tue Nov  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-3m)
- fix %%files

* Tue Nov  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-2m)
- change source url (NoSource)

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- rebuild against gnome-sharp-2.24.0

* Thu Aug 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- update 2.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9-3m)
- rebuild against gcc43

* Sun Mar 16 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.9-2m)
- update lib64 patch

* Sun Mar 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9-1m)
- update to 1.9
- delete patch1 (merged)

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-3m)
- rebuild against gtk-sharp2-2.12.0
- rebuild against gnome-sharp-2.20.0

* Thu Dec 13 2007 Masanobu Sato <satoshiga@momonga-linux.or>
- (1.2.6-2m)
- change mono-tools-1.2.1-lib64.patch to mono-tools-1.2.6-lib64.patch

* Thu Dec 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6

* Mon Aug 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.4-3m)
- add BuildPrereq: gecko-sharp-2.0 >= 0.12

* Thu May 24 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.4-2m)
- lib64 -> lib, *.exe files are 32-bit .Net assembly

* Wed May 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4

* Fri Feb  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Fri Nov 24 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.2.1-2m)
- add lib64 patch

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sun Oct  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17-1m)
- update to 1.1.17

* Wed Aug 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.11-5m)
- fix conflict (PrintContext PrintJob) between Gtk and Gnome; patch2

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.11-4m)
- revised for multilibarch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.11-3m)
- rebuild mono -> mono-core

* Wed Feb 01 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1.11-2m)
- add and revised patches for x86_64:
-         mono-tools-1.1.1.11-config.patch
-         mono-tools-1.1.1.11-lib64.patch

* Mon Jan 30 2006 Nishio Futoshi <futoshi@momonga-linux.org.
- (1.1.11-1m)
- start
